Subject: Re: accept() blocks (NBY)
From: [email-masked] (Earnie Boyd)

5 Feb 1998 10:23:55 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Check the mail archives.  This has been discussed before.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
http://rcw.home.ml.org/                  (Rob Warner - software ports)

>Date: Thu, 05 Feb 1998 00:28:42 +0300
>To: [email-masked]
>From: "Marco \"Kiko\" Carnut" <[email-masked]>
>Subject: accept() blocks
>
>Hi folks,
>
>Sorry if this is a newbie question, but my problem is this.
>I'm trying to compile a mud server (lpmud 3.1.2 -- I know there's
>a newer version but my mudlib requires this version) under
>cygwin+coolview. After some minor hacking it compiled fine, but
>when I telnet to it, it prints the opening messages but does
>nothing when I send commands. I traced the problem and found
>that accept() is blocking even when the socket was marked as
>nonblocking, preventing the mainloop from iterating. Is this a
>cygwin's known limitation or bug? Is there any workaround?
>Any help would be greatly appreciated. Thanks in advance.
>
>
>
>Abra=E7os,
>--Kiko.
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".